# Uses of Interface
javax.sql.rowset.WebRowSet

Packages that use WebRowSet
Package
Description
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.
javax.sql.rowset.spi
The standard classes and interfaces that a third party vendor has to use in its implementation of a synchronization provider.

## Uses of WebRowSet in javax.sql.rowset

Subinterfaces of WebRowSet in javax.sql.rowset
Modifier and Type
Interface
Description
`interface`
`FilteredRowSet`
The standard interface that all standard implementations of `FilteredRowSet` must implement.
`interface`
`JoinRowSet`
The `JoinRowSet` interface provides a mechanism for combining related data from different `RowSet` objects into one `JoinRowSet` object, which represents an SQL `JOIN`.
Methods in javax.sql.rowset that return WebRowSet
Modifier and Type
Method
Description
`WebRowSet`
RowSetFactory.`createWebRowSet()`
Creates a new instance of a WebRowSet.

## Uses of WebRowSet in javax.sql.rowset.spi

Methods in javax.sql.rowset.spi with parameters of type WebRowSet
Modifier and Type
Method
Description
`void`
XmlReader.`readXML​(WebRowSet caller, Reader reader)`
Reads and parses the given `WebRowSet` object from the given input stream in XML format.
`void`
XmlWriter.`writeXML​(WebRowSet caller, Writer writer)`
Writes the given `WebRowSet` object to the specified `java.io.Writer` output stream as an XML document.